List Merchants
curl --request GET \
--url https://olp-api.nipuntheekshana.com/v1/merchantsimport requests
url = "https://olp-api.nipuntheekshana.com/v1/merchants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://olp-api.nipuntheekshana.com/v1/merchants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Merchants
List Merchants
List all merchants on the platform (admin only)
GET
/
v1
/
merchants
List Merchants
This endpoint requires admin-level authentication. Regular merchants cannot access this endpoint.
Query Parameters
integer
default:"1"
Page number for pagination.
integer
default:"20"
Number of merchants per page. Maximum 100.
string
Filter by merchant status. One of
active, pending_verification, suspended, deactivated.string
Search merchants by business name or email.
Example Response (200)
{
"data": [
{
"id": "merch_abc123",
"businessName": "Acme Payments Ltd",
"email": "admin@acmepay.com",
"businessType": "company",
"status": "active",
"createdAt": "2026-03-26T10:00:00Z"
},
{
"id": "merch_def456",
"businessName": "Island Crafts",
"email": "hello@islandcrafts.lk",
"businessType": "individual",
"status": "pending_verification",
"createdAt": "2026-03-25T08:15:00Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 42,
"totalPages": 3
}
}
Error Responses
403 Forbidden
{
"error": {
"code": "FORBIDDEN",
"message": "Admin access required"
}
}